Subject: Re: [quicwg/base-drafts] HTTP: server may interleave DUPLICATE_PUSH frames as well (#3235)

From: Martin Thomson <[email-masked]>
Date: Mon, 02 Dec 2019 18:54:02 -0800

martinthomson approved this pull request.

> @@ -379,10 +379,11 @@ An HTTP message (request or response) consists of:
 3. optionally, trailing headers, if present (see {{!RFC7230}}, Section 4.1.2),
    sent as a single HEADERS frame.
 
-A server MAY send one or more PUSH_PROMISE frames (see {{frame-push-promise}})
-before, after, or interleaved with the frames of a response message. These
-PUSH_PROMISE frames are not part of the response; see {{server-push}} for more
-details.
+A server MAY send one or more PUSH_PROMISE (see {{frame-push-promise}}) and/or

```suggestion
A server MAY send one or more PUSH_PROMISE (see {{frame-push-promise}}) or
```
My technical writing trainer taught me that "and/or" means "or".  And that using one word in place of two was a win.

-- 
You are receiving this because you are subscribed to this thread.
Reply to this email directly or view it on GitHub:
https://github.com/quicwg/base-drafts/pull/3235#pullrequestreview-325869935

---

From: Dmitri Tikhonov <[email-masked]>
Date: Mon, 02 Dec 2019 19:02:56 -0800

@dtikhonov pushed 1 commit.

a57490b907ee58566538a1376e15b97f5f4d521b  Update draft-ietf-quic-http.md

-- 
You are receiving this because you are subscribed to this thread.
View it on GitHub:
https://github.com/quicwg/base-drafts/pull/3235/files/28a2c382e9a14149a34586ece99d54d7dd885b3e..a57490b907ee58566538a1376e15b97f5f4d521b

---

From: Mike Bishop <[email-masked]>
Date: Mon, 16 Dec 2019 08:11:37 -0800

Merged #3235 into master.

-- 
You are receiving this because you are subscribed to this thread.
Reply to this email directly or view it on GitHub:
https://github.com/quicwg/base-drafts/pull/3235#event-2886555841